Package org.apache.commons.compress.compressors.lz77support

# Enum LZ77Compressor.Block.BlockType

java.lang.Object
java.lang.Enum<LZ77Compressor.Block.BlockType>
org.apache.commons.compress.compressors.lz77support.LZ77Compressor.Block.BlockType

All Implemented Interfaces:
  `Serializable`, `Comparable<LZ77Compressor.Block.BlockType>`

Enclosing class:
  `LZ77Compressor.Block`

public static enum LZ77Compressor.Block.BlockType extends Enum<LZ77Compressor.Block.BlockType>
Enumerates the block types the compressor emits.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK_REFERENCE`
  The back-reference block type.
  `EOD`
  The end-of-data block type.
  `LITERAL`
  The literal block type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LZ77Compressor.Block.BlockType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LZ77Compressor.Block.BlockType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LITERAL

    public static final LZ77Compressor.Block.BlockType LITERAL
    The literal block type.

  - ### BACK_REFERENCE

    public static final LZ77Compressor.Block.BlockType BACK_REFERENCE
    The back-reference block type.

  - ### EOD

    public static final LZ77Compressor.Block.BlockType EOD
    The end-of-data block type.

- ## Method Details

  - ### values

    public static LZ77Compressor.Block.BlockType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LZ77Compressor.Block.BlockType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null